Lubuntu/Xubuntu Live session locks when away from keyboard

Bug #1281323 reported by Lyn Perrine on 2014-02-17
46
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Lubuntu default settings
New
Undecided
Unassigned
One Hundred Papercuts
Undecided
Unassigned
light-locker (Ubuntu)
Undecided
Unassigned
lubuntu-default-settings (Ubuntu)
Undecided
Unassigned
lxsession (Ubuntu)
Undecided
Unassigned
xubuntu-default-settings (Ubuntu)
Undecided
Sean Davis

Bug Description

To reproduce start a live seisson of lubuntu from the livecd. Then walk away from the keyboard and do not press anything in the live seisson. Then the screen will lock and show other at the login screen.

Expected behavior is not to have live seisson lock as then don't really have a password set and would not let me log in. Also locking is a bit pointless and gives false senese of security because you could just change the password in single user mode from a virtual terminal.

The screen locks when I step away from the live cd for a few minutes and eat lunch for example in both hardware and in a virtual machine. Which I have since tested.

Work around is enter sudo passwd lubuntu in the virtual terminal which you do not need any current password for in the live session and then log back in to your live session.

info
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04

apt-cache policy light-locker
light-locker:
  Installed: 1.2.0-0ubuntu1
  Candidate: 1.2.0-0ubuntu1
  Version table:
 *** 1.2.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe i386 Packages
        100 /var/lib/dpkg/status

/* old report info */
3. I expected to still be able to get into the live seisson and log in when went away from keyboard and not be logged out. I was away from keyboard for about half an hour in virtualbox.

4. What happened instead was I taken to the lightdm login screen with a locked seisson the password with passwd at the lightdm login screen and had to set a password for the lubuntu user to log in.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: light-locker 1.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
Uname: Linux 3.13.0-8-generic i686
ApportVersion: 2.13.2-0ubuntu4
Architecture: i386
CasperVersion: 1.337
CurrentDesktop: LXDE
Date: Mon Feb 17 22:40:16 2014
LiveMediaBuild: Lubuntu 14.04 "Trusty Tahr" - Alpha i386 (20140217)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: light-locker
UpgradeStatus: No upgrade log present (probably fresh install)

Lyn Perrine (walterorlin) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1281323

tags: added: iso-testing
Sean Davis (bluesabre) wrote :

Please see this branch:

https://code.launchpad.net/~smd-seandavis/xubuntu-default-settings/light-locker-live

Basically, the light-locker's autostart setting needs to be disabled, and one method of doing that is by overriding the light-locker.desktop autostart file.

Simon Steinbeiß (ochosi) wrote :

This is the expected behavior of light-locker, hence it is a bug in lubuntu's live session. The way Sean described should work just fine to disable light-locker in the live-session.

Changed in light-locker (Ubuntu):
status: New → Invalid
Sean Davis (bluesabre) on 2014-03-04
no longer affects: xubuntu-default-settings
summary: - Live lubuntu seisson locks when away from keyboard
+ Lubuntu Live session locks when away from keyboard
Sean Davis (bluesabre) on 2014-03-23
Changed in xubuntu-default-settings (Ubuntu):
status: New → Fix Released
assignee: nobody → Sean Davis (smd-seandavis)

Status changed to 'Confirmed' because the bug affects multiple users.

affects: lubuntu-default-settings → lubuntu-default-settings (Ubuntu)
Changed in lubuntu-default-settings (Ubuntu):
status: New → Confirmed
summary: - Lubuntu Live session locks when away from keyboard
+ Lubuntu/Xubuntu Live session locks when away from keyboard
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lubuntu-default-settings (Ubuntu):
status: New → Confirmed
Changed in hundredpapercuts:
status: New → Confirmed

Please, could you:

1. Edit this bug description so it fit the attached template?
2. Change this bug status back to confirmed for projects marked as incomplete.

So we can better determine importance for this bug.

Regards.

Changed in hundredpapercuts:
status: Confirmed → Incomplete
Changed in lubuntu-default-settings (Ubuntu):
status: Confirmed → Incomplete
description: updated
Julien Lavergne (gilir) wrote :

I'll provide the fix for lubuntu-default-settings, but it also need a fix for lxsession

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxsession - 0.4.9.2+git20140410-0ubuntu1

---------------
lxsession (0.4.9.2+git20140410-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot, only bug fixes:
   - Fix screenshot call (LP: #1286685).
   - Fix reading system-wide config directories (LP: #1281323).
   - Remove some debug and add missing string to translation.
  * debian/control:
   - Add laptop-detect as a depends to be sure we have laptop-mode working by
     default.
 -- Julien Lavergne <email address hidden> Thu, 10 Apr 2014 22:57:10 +0200

Changed in lxsession (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-default-settings - 0.39

---------------
lubuntu-default-settings (0.39) trusty; urgency=medium

  * etc/xdg/lxsession/*/desktop.conf
   - Add missing im1 and webcam settings.
  * usr/share/lubuntu/openbox/menu.xml
   - Fix audio player calling
   - Fix internet icon.
  * debian/control:
   - Add lubuntu-live-settings to add specific settings to live environment.
  * debian/light-locker.desktop
   - Disable light-locker on live environment. (LP: #1281323).
 -- Julien Lavergne <email address hidden> Thu, 10 Apr 2014 22:09:22 +0200

Changed in lubuntu-default-settings (Ubuntu):
status: Incomplete → Fix Released
RudeViper (rudeviper) wrote :

Don't know if this has actually been fixed totally - but I have found that if you simply remove light-locker (sudo apt-get remove light-locker) then go into the Preferences > Default application for lxsession and turn off Screen Locker it no longer locks the screen after 10 minutes. - so far it's been running for over and hour now without blanking and locking the screen.

Ant Dickens (antonydickens) wrote :

I am running Lubuntu 14.10 Utopic and have been unable to prevent the session locking. I have Light Locker GUI set as:

Blank display after: 10mins
Switch of Display after: 15mins
Enable Light Locker: ON
Automatically lock screen: Never
Lock on Suspend: OFF

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers